/[gentoo-x86]/x11-base/xorg-server/xorg-server-1.7.0.902.ebuild
Gentoo

Contents of /x11-base/xorg-server/xorg-server-1.7.0.902.ebuild

Parent Directory Parent Directory | Revision Log Revision Log


Revision 1.2 - (hide annotations) (download)
Fri Oct 23 21:23:04 2009 UTC (5 years, 1 month ago) by scarabeus
Branch: MAIN
CVS Tags: HEAD
Changes since 1.1: +1 -1 lines
FILE REMOVED
Version bump.
(Portage version: 2.2_rc46/cvs/Linux i686, RepoMan options: --force)

1 scarabeus 1.1 # Copyright 1999-2009 Gentoo Foundation
2     # Distributed under the terms of the GNU General Public License v2
3 scarabeus 1.2 # $Header: /var/cvsroot/gentoo-x86/x11-base/xorg-server/xorg-server-1.7.0.902.ebuild,v 1.1 2009/10/19 18:42:35 scarabeus Exp $
4 scarabeus 1.1
5     EAPI="2"
6    
7     # Must be before x-modular eclass is inherited
8     #SNAPSHOT="yes"
9    
10     inherit x-modular multilib versionator
11    
12     EGIT_REPO_URI="git://anongit.freedesktop.org/git/xorg/xserver"
13    
14     OPENGL_DIR="xorg-x11"
15    
16     DESCRIPTION="X.Org X servers"
17     KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc ~x86 ~x86-fbsd"
18    
19     IUSE_SERVERS="dmx kdrive xorg"
20     IUSE="${IUSE_SERVERS} tslib hal ipv6 minimal nptl sdl"
21     RDEPEND="hal? ( sys-apps/hal )
22     tslib? ( >=x11-libs/tslib-1.0 x11-proto/xcalibrateproto )
23     dev-libs/openssl
24     >=x11-libs/libXfont-1.3.3
25     >=x11-libs/xtrans-1.2.2
26     >=x11-libs/libXau-1.0.4
27     >=x11-libs/libxkbfile-1.0.4
28     >=x11-libs/libXdmcp-1.0.2
29     >=x11-libs/libpciaccess-0.10.3
30     >=x11-libs/pixman-0.15.20
31     media-libs/freetype
32     >=x11-misc/xbitmaps-1.0.1
33     >=x11-misc/xkeyboard-config-1.4
34     x11-apps/xkbcomp
35     >=x11-apps/iceauth-1.0.2
36     >=x11-apps/rgb-1.0.3
37     >=x11-apps/xauth-1.0.3
38     >=x11-apps/xinit-1.0.8-r3
39     >=app-admin/eselect-opengl-1.0.8
40     dmx? (
41     x11-libs/libXt
42     >=x11-libs/libdmx-1.0.2
43     >=x11-libs/libX11-1.1.5
44     >=x11-libs/libXaw-1.0.4
45     >=x11-libs/libXext-1.0.5
46     >=x11-libs/libXfixes-4.0.3
47     >=x11-libs/libXi-1.2.99.1
48     >=x11-libs/libXmu-1.0.3
49     >=x11-libs/libXtst-1.0.3
50     )
51     !minimal? (
52     >=x11-libs/libX11-1.1.5
53     >=x11-libs/libXext-1.0.5
54     >=x11-libs/libXres-1.0.3
55     >=media-libs/mesa-7.4[nptl=]
56     )
57     >=x11-libs/libxkbui-1.0.2
58     kdrive? (
59     >=x11-libs/libXext-1.0.5
60     sdl? ( media-libs/libsdl ) )"
61     # Xres is dmx-dependent
62     # Xaw is dmx-dependent
63     # Xpm is dmx-dependent, pulls in Xt
64     # xkbcomp is launched at startup but not checked by ./configure
65    
66     ## Deps that don't have a version in configure.ac but do here:
67     # x11-proto/resourceproto
68     # x11-proto/fontsproto
69     # x11-libs/libXau
70     # x11-libs/libXfont
71     # x11-libs/libXdmcp
72     # x11-libs/libXext
73     # x11-libs/libX11
74     # x11-libs/libXrender
75     # x11-libs/libXmu
76     # x11-libs/libXfixes
77     # x11-libs/libXtst
78     # x11-proto/xineramaproto
79     # x11-proto/dmxproto
80     ## Deps that are larger here than in configure.ac
81     # x11-libs/libpciaccess-0.8.0
82     #
83    
84     DEPEND="${RDEPEND}
85     !!net-dialup/dtrace
86     sys-devel/flex
87     >=x11-proto/randrproto-1.2.99.3
88     >=x11-proto/renderproto-0.11
89     >=x11-proto/fixesproto-4.1
90     >=x11-proto/damageproto-1.1
91     >=x11-proto/xextproto-7.0.99.3
92     >=x11-proto/xproto-7.0.13
93     >=x11-proto/xf86dgaproto-2.0.99.1
94     >=x11-proto/xf86rushproto-1.1.2
95     >=x11-proto/xf86vidmodeproto-2.2.99.1
96     >=x11-proto/compositeproto-0.4
97     >=x11-proto/recordproto-1.13.99.1
98     >=x11-proto/resourceproto-1.0.2
99     >=x11-proto/videoproto-2.2.2
100     >=x11-proto/scrnsaverproto-1.1
101     >=x11-proto/trapproto-3.4.3
102     >=x11-proto/xineramaproto-1.1.3
103     >=x11-proto/fontsproto-2.0.2
104     >=x11-proto/kbproto-1.0.3
105     >=x11-proto/inputproto-1.9.99.902
106     >=x11-proto/bigreqsproto-1.1.0
107     >=x11-proto/xcmiscproto-1.2.0
108     >=x11-proto/glproto-1.4.9
109     dmx? ( >=x11-proto/dmxproto-2.2.2 )
110     !minimal? (
111     >=x11-proto/xf86driproto-2.1.0
112     >=x11-proto/dri2proto-2.1
113     >=x11-libs/libdrm-2.3.0
114     )"
115    
116     PDEPEND="xorg? ( >=x11-base/xorg-drivers-$(get_version_component_range 1-2) )"
117    
118     EPATCH_FORCE="yes"
119     EPATCH_SUFFIX="patch"
120    
121     # These have been sent upstream
122     UPSTREAMED_PATCHES=(
123     #"${WORKDIR}/patches/"
124     )
125    
126     PATCHES=(
127     "${UPSTREAMED_PATCHES[@]}"
128     )
129    
130     pkg_setup() {
131     use minimal || ensure_a_server_is_building
132    
133     # SDL only available in kdrive build
134     if use kdrive && use sdl; then
135     conf_opts="${conf_opts} --enable-xsdl"
136     else
137     conf_opts="${conf_opts} --disable-xsdl"
138     fi
139    
140     # localstatedir is used for the log location; we need to override the default
141     # from ebuild.sh
142     # sysconfdir is used for the xorg.conf location; same applies
143     # --enable-install-setuid needed because sparcs default off
144     CONFIGURE_OPTIONS="
145     $(use_enable ipv6)
146     $(use_enable dmx)
147     $(use_enable kdrive)
148     $(use_enable tslib)
149     $(use_enable tslib xcalibrate)
150     $(use_enable !minimal xvfb)
151     $(use_enable !minimal xnest)
152     $(use_enable !minimal record)
153     $(use_enable !minimal xfree86-utils)
154     $(use_enable !minimal install-libxf86config)
155     $(use_enable !minimal dri)
156     $(use_enable !minimal dri2)
157     $(use_enable !minimal glx)
158     $(use_enable xorg)
159     $(use_enable nptl glx-tls)
160     $(use_enable hal config-hal)
161     --sysconfdir=/etc/X11
162     --localstatedir=/var
163     --enable-install-setuid
164     --with-fontdir=/usr/share/fonts
165     --with-xkb-output=/var/lib/xkb
166     --without-dtrace
167     ${conf_opts}"
168    
169     # (#121394) Causes window corruption
170     filter-flags -fweb
171    
172     # Incompatible with GCC 3.x SSP on x86, bug #244352
173     if use x86 ; then
174     if [[ $(gcc-major-version) -lt 4 ]]; then
175     filter-flags -fstack-protector
176     fi
177     fi
178    
179     OLD_IMPLEM="$(eselect opengl show)"
180     eselect opengl set --impl-headers ${OPENGL_DIR}
181     }
182    
183     src_install() {
184     x-modular_src_install
185    
186     dynamic_libgl_install
187    
188     server_based_install
189    
190     if ! use minimal && use xorg; then
191     # Install xorg.conf.example (see bugs #151421 and #151670)
192     insinto /etc/X11
193     doins hw/xfree86/xorg.conf.example \
194     || die "couldn't install xorg.conf.example"
195     fi
196     }
197    
198     pkg_postinst() {
199     switch_opengl_implem
200    
201     echo
202     ewarn "You must rebuild all drivers if upgrading from xorg-server 1.6"
203     ewarn "or earlier, because the ABI changed. If you cannot start X because"
204     ewarn "of module version mismatch errors, this is your problem."
205    
206     echo
207     ewarn "You can generate a list of all installed packages in the x11-drivers"
208     ewarn "category using this command:"
209     ewarn "emerge portage-utils; qlist -I -C x11-drivers/"
210    
211     ebeep 5
212     epause 10
213     }
214    
215     pkg_postrm() {
216     # Get rid of module dir to ensure opengl-update works properly
217     if ! has_version x11-base/xorg-server; then
218     if [[ -e ${ROOT}/usr/$(get_libdir)/xorg/modules ]]; then
219     rm -rf "${ROOT}"/usr/$(get_libdir)/xorg/modules
220     fi
221     fi
222     }
223    
224     dynamic_libgl_install() {
225     # next section is to setup the dynamic libGL stuff
226     ebegin "Moving GL files for dynamic switching"
227     dodir /usr/$(get_libdir)/opengl/${OPENGL_DIR}/extensions
228     local x=""
229     for x in "${D}"/usr/$(get_libdir)/xorg/modules/extensions/lib{glx,dri,dri2}*; do
230     if [ -f ${x} -o -L ${x} ]; then
231     mv -f ${x} "${D}"/usr/$(get_libdir)/opengl/${OPENGL_DIR}/extensions
232     fi
233     done
234     eend 0
235     }
236    
237     server_based_install() {
238     if ! use xorg; then
239     rm "${D}"/usr/share/man/man1/Xserver.1x \
240     "${D}"/usr/$(get_libdir)/xserver/SecurityPolicy \
241     "${D}"/usr/$(get_libdir)/pkgconfig/xorg-server.pc \
242     "${D}"/usr/share/man/man1/Xserver.1x
243     fi
244     }
245    
246     switch_opengl_implem() {
247     # Switch to the xorg implementation.
248     # Use new opengl-update that will not reset user selected
249     # OpenGL interface ...
250     echo
251     eselect opengl set ${OLD_IMPLEM}
252     }
253    
254     ensure_a_server_is_building() {
255     for server in ${IUSE_SERVERS}; do
256     use ${server} && return;
257     done
258     eerror "You need to specify at least one server to build."
259     eerror "Valid servers are: ${IUSE_SERVERS}."
260     die "No servers were specified to build."
261     }

  ViewVC Help
Powered by ViewVC 1.1.20